function [x_new, a, f_norm1_new] = simple_bt(x, nwtn, f_phi,...
    f_huber, normN_scaled, opts)
%SIMPLE_BT Simple backtracking algorithm for problem of pdNCG.

a = 1.0;
a = a*opts.maxstepsize;  

f_phi_x       = f_phi(x);
f_huber_x     = f_huber(x);
f_huber_phi_x = f_phi_x + f_huber_x;

for j=1:opts.max_itr_bt    
    x_new = x + a.*nwtn;
    f_phi_new = f_phi(x_new);
    f_huber_phi_new = f_huber(x_new) + f_phi_new;
    if (f_huber_phi_new <= f_huber_phi_x - opts.c2*a*normN_scaled)
        break;
    end   
    a = a*opts.c3;
end

f_norm1_new = opts.tau*norm(x_new,1) + f_phi_new;

