function [nwtn, rlrs, pcgi, Preconditioner]  = analysis_pcg_wrapper(PCG, Hessian, g, opts)

% Define preconditioner function.
if opts.mu <= opts.prec_tol;
    Preconditioner = @(q) prec_W(opts,q,PCG.H,PCG.rho,[],opts.prec_itrs);
else 
    Preconditioner = @(q) q;
end

[nwtn, rlrs, pcgi] = linear_solver(Hessian,-g,opts.tolpcg,...
                            opts.mxitrpcg,Preconditioner);
        
assignin('caller','PCG',PCG);
end